sync-source sometimes sets section and priority in generated .changes file to None

Bug #581697 reported by Colin Watson on 2010-05-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Launchpad itself
Undecided
Colin Watson

Bug Description

$ sync-source.py -S unstable bglibs
Getting binaries for maverick...
[Updating] bglibs (1.104-2 [Ubuntu] < 1.106-1 [Debian])
 * Trying to add bglibs...
2010-05-17 12:49:33 INFO - <bglibs_1.106-1.diff.gz: downloading from http://ftp.debian.org/debian/>
2010-05-17 12:49:33 INFO - <bglibs_1.106-1.dsc: downloading from http://ftp.debian.org/debian/>
2010-05-17 12:49:33 INFO - <bglibs_1.106.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: bglibs [universe] -> libbg1_1.104-2 [universe].
I: bglibs [universe] -> libbg1-dev_1.104-2 [universe].
I: bglibs [universe] -> libbg1-doc_1.104-2 [universe].
$ sed -n '/^Files:/,$p' bglibs_1.106-1_source.changes
Files:
 6fa484115c4a0a4905af41167caa2309 6177 None optional bglibs_1.106-1.diff.gz
 b97a6a2321c6744603a6ea2f82eecabc 939 None optional bglibs_1.106-1.dsc
 99bf5936456c7661c329beab63d2b520 481564 None optional bglibs_1.106.orig.tar.gz

This happens because the top stanza of debian/control doesn't have a Section field. dpkg-genchanges emits a warning in this case (and likewise if Priority is missing), but the policy manual only lists Section and Priority as "recommended" here so it still generates a source package and it's perfectly possible for us to need to sync such packages from Debian.

I'll provide a branch to fix this shortly.

Related branches

Changed in soyuz:
assignee: nobody → Julian Edwards (julian-edwards)
milestone: none → 10.05
status: New → Fix Committed
tags: added: qa-needstesting
Changed in soyuz:
assignee: Julian Edwards (julian-edwards) → Colin Watson (cjwatson)
Colin Watson (cjwatson) wrote :

Tested on mawson as follows:

  $ mkdir syncs
  $ cd syncs
  $ export http_proxy=http://squid.internal:3128/
  $ wget --no-cache -O- http://ftp.debian.org/debian/dists/unstable/main/source/Sources.gz | gunzip -c > Debian_unstable_main_Sources
  $ /srv/launchpad.net/codelines/current/scripts/ftpmaster-tools/sync-source.py bglibs
  Getting binaries for lucid...
  [Updating] bglibs (1.104-2 [Ubuntu] < 1.106-1 [Debian])
   * Trying to add bglibs...
  2010-05-28 10:02:31 INFO - <bglibs_1.106-1.diff.gz: downloading from http://ftp.debian.org/debian/>
  2010-05-28 10:02:31 INFO - <bglibs_1.106-1.dsc: downloading from http://ftp.debian.org/debian/>
  2010-05-28 10:02:31 INFO - <bglibs_1.106.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
  I: bglibs [universe] -> libbg1_1.104-2 [universe].
  I: bglibs [universe] -> libbg1-dev_1.104-2 [universe].
  I: bglibs [universe] -> libbg1-doc_1.104-2 [universe].
  $ sed -n '/^Files:/,$p' bglibs_1.106-1_source.changes
  Files:
   6fa484115c4a0a4905af41167caa2309 6177 - optional bglibs_1.106-1.diff.gz
   b97a6a2321c6744603a6ea2f82eecabc 939 - optional bglibs_1.106-1.dsc
   99bf5936456c7661c329beab63d2b520 481564 - optional bglibs_1.106.orig.tar.gz

tags: added: qa-ok
removed: qa-needstesting
Curtis Hovey (sinzui) on 2010-06-02
Changed in soyuz:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers